package sun.management.counter.perf;

import sun.management.counter.Variability;
import sun.management.counter.Units;
import sun.management.counter.ByteArrayCounter;
import sun.management.counter.AbstractCounter;

class ByteArrayCounterSnapshot extends AbstractCounter implements ByteArrayCounter
{
    byte[] value;
    private static final long serialVersionUID = 1444793459838438979L;
    
    ByteArrayCounterSnapshot(String name, Units units, Variability variability, int flags, int vectorLength, byte[] value) {
        super(name, units, variability, flags, vectorLength);
        this.value = value;
    }
    
    @Override
    public Object getValue() {
        return this.value;
    }
    
    @Override
    public byte[] byteArrayValue() {
        return this.value;
    }
    
    @Override
    public byte byteAt(int n) {
        return this.value[n];
    }
}
